New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

XmlRpc.SetApiVersion doesen't exist in all script modes #243

Closed
oliverde8 opened this Issue Feb 2, 2018 · 0 comments

Comments

Projects
None yet
1 participant
@oliverde8
Member

oliverde8 commented Feb 2, 2018

I'm reporting a Bug

We have a call to XmlRpc.SetApiVersion hard coded in eXpansion. It seems this method doesn't exist in all script modes.

  • Validate that it doesn't exist.
  • Move the code in a data provider.
  • Have a try catch as it's an optional code for some scripts only

@oliverde8 oliverde8 self-assigned this Feb 2, 2018

@oliverde8 oliverde8 modified the milestones: beta-1, alpha-2 Feb 2, 2018

oliverde8 added a commit that referenced this issue Feb 3, 2018

@oliverde8 oliverde8 closed this Feb 3, 2018

oliverde8 added a commit that referenced this issue Feb 3, 2018

Merge pull request #244 from eXpansionPluginPack/fix-243
#243 - Fixed issue with eXpansion crashing if script mode didn't have…
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment